Skip to main content
GET
Get secret metadata

Path Parameters

name
string
required

Logical secret name (from fusion/label or K8s secret name)

Response

Successfully retrieved secret metadata

Metadata for a secret stored in the vault. The secret's value isn't included.

name
string

The secret's name.

keys
string[]

The keys stored in the secret. Get a key's value with GET /vault/secrets/{label}/value, where the label is <secret-name>.<key>.

category
string

The secret's category.

description
string

A description of the secret.

secret
boolean

Whether the entry is a secret.